<?php
class ModelExtensionTotalCampaignPriceTotal extends Model {
    public function getTotal($total) {

        $this->load->language('extension/total/campaign_price_total');

        //campaign_price_total


        if(isset($this->session->data['campaign_price_total'])){

            $price = $this->session->data['campaign_price_total'];

            $total['totals'][] = array(
                'code'       => 'campaign_price_total',
                'title'      => $this->language->get('text_title'),
                'value'      => -$price,
                'sort_order' => $this->config->get('campaign_price_total_sort_order')
            );

            $total['total'] -= $price;

        }




    }

}